org.eclipse.swt.events

## Class KeyAdapter

- java.lang.Object
- - org.eclipse.swt.events.KeyAdapter

All Implemented Interfaces:
  KeyListener

    public abstract class KeyAdapter
    extends java.lang.Object
    implements KeyListener

This adapter class provides default implementations for the methods described by the `KeyListener` interface.

Classes that wish to deal with `KeyEvent`s can extend this class and override only the methods which they are interested in.

Since:
  1.2
See Also:
  `KeyListener`, `KeyEvent`

### Constructor Summary

Constructors
Constructor and Description
`KeyAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `keyPressed(KeyEvent e)` Sent when a key is pressed on the system keyboard.
`void` `keyReleased(KeyEvent e)` Sent when a key is released on the system keyboard.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyAdapter

    public KeyAdapter()

### Method Detail

#### keyPressed

    public void keyPressed(KeyEvent e)

Sent when a key is pressed on the system keyboard. The default behavior is to do nothing.

Specified by:
  `keyPressed` in interface `KeyListener`
Parameters:
  `e` - an event containing information about the key press

#### keyReleased

    public void keyReleased(KeyEvent e)

Sent when a key is released on the system keyboard. The default behavior is to do nothing.

Specified by:
  `keyReleased` in interface `KeyListener`
Parameters:
  `e` - an event containing information about the key release

Copyright (c) EclipseSource and others 2002, 2016. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0